> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-http-headers.md).

# HTTP ヘッダー

このセクションでは、API があらゆるリクエストから受け入れる HTTP ヘッダーについて説明します。

## Content-Type

すべてのリクエストには content-type HTTP ヘッダーを含める必要があります。

### 受け入れ可能な Content-Type

| 基本形式    | Content-Type        | Content-Type                               |
| ------- | ------------------- | ------------------------------------------ |
| JSON    | application/json    | text/json は現在、受け入れ可能な content type ではありません |
| フォームデータ | multipart/form-data | バリエーションのアップロード時にのみ使用されます                   |

### Content-Type エラー

| レスポンスコード | 備考                                                    |
| -------- | ----------------------------------------------------- |
| 400      | content type は理解されましたが、デコードできませんでした。詳細はレスポンス本文に表示されます |
| 415      | content type が指定されていないか、サポートされていません                   |

{% hint style="info" %}
**注意**: content-type ヘッダーに問題がある場合、レスポンスの content-type は API のデフォルト形式になります。現在は application/json です
{% endhint %}

{% hint style="info" %}
**注意**: 現在、API は Accept-type HTTP ヘッダーに準拠していません。すべてのレスポンスは、リクエストの content-type が有効である限り、受信したリクエストと同じ content-type で送信されます
{% endhint %}

## Authorization

このヘッダーは任意で、現在のユーザーの認証情報を API に提供するために使用されます。これにより、現在のユーザーは制限付き API リソースにアクセスできるようになります。トークンは Login API から取得できます。ヘッダーの例は次のとおりです。

```
Authorization: Bearer 45267dbe480c8c7d799c62ccad92cb44f67ab086
```

Authorization ヘッダーは、単一のスペースで区切られた 2 つの部分から構成される文字列を受け付けます。最初の部分はトークンタイプで、2つ目はアクセストークンそのものです。

### Authorization エラー

| レスポンスコード | 備考                                      |
| -------- | --------------------------------------- |
| 400      | 不正な形式の authorization ヘッダーが指定されました       |
| 401      | authorization ヘッダーがないか、トークンが無効または期限切れです |

### 認証トークンタイプの選択

いずれかの失敗時には、レスポンスヘッダーに WWW-Authenticate ヘッダーが含まれ、アクセスに必要なトークンタイプが示されます。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/ja/exoclick-paburikku-api/api-manual-http-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
